#ifndef MEMORY_INITIALIZER
#define MEMORY_INITIALIZER

#include <stdio.h> //Mainly for error displaying
#include <stdlib.h>

void InitializeMemory(int numVars, int popSize, double** popCosts, double** population, double** snapPopCosts, double** snapPopulation, double** randomDepot, double** meanDiffs, int** pairDepot);

void CopyIndividual(double* individual, double* outSolution, int numVars);

void InitializeRandomVector(double* randomDepot, int length, int* pairDepot, int popSize);

void ReadMemory(double* vec, int length);

void CleanMemory(double* popCosts, double* population, double* newPopCosts, double* newPopulation, double* randomDepot, double* meanDiffs, int* pairDepot);

#endif // MEMORYINITIALIZER_H_INCLUDED
