# Introduction

This is a parallel implementation of the TLBO algorithm [1,2] developed by N.C. 
Cruz, J.L. Redondo, J.D. Hervás, M. Berenguel and P.M. Ortigosa. University of
Almeria, Spain.

It can be compiled to be sequential or parallel. Parallel versions are: OpenMP, 
MPI and Hybrid (MPI and OpenMP).

# Version
Current version: 1.0 (Lusitania) <5/06/16>

# License
This software is provided 'as is', with the best of intentions but with any kind
of warranty and responsibility of stability and correctness. It can be freely
used, distributed and modified by anyone interested at it but a reference to this
source is REQUIRED.

# References
[1]Rao, R. V., Savsani, V. J., & Vakharia, D. P. (2012). Teaching–learning-based 
optimization: an optimization method for continuous non-linear large scale 
problems. Information Sciences, 183(1), 1-15.

[2] Rao, R.V. (2012). TLBO website: https://sites.google.com/site/tlborao/ (Last
access 8/06/16)