#ifndef TLBO_CORE
#define TLBO_CORE

#include "MemoryHandler.h"
#include "PopulationInitializer.h"
#include "LookForTheBest.h"
#include "TeacherStage.h"
#include "LearnerStage.h"
#include "RemoveDuplicates.h"

#ifdef USE_MPI // The USE_MPI macro is set manually during compilation to enable the use of MPI
    #include <mpi.h>
#endif // USE_MPI

double TLBOSearch(double* outSolution, int numVars, double (*objFunc)(double*), int popSize, int numCycles, double* bounds, int focusStart, int focusEnd);

#endif // TLBO_CORE